#!/bin/awk -f 

# Measuring utility planet motion

$1 != "#" { # we ignore comment lines
  t  = $1;
  x  = $2;
  y  = $3;
  vx = $4;
  vz = $5;
  E  = $6;
  L  = x*vy - y*vx;

  print "E: ",t,E,L;
# We determine when vx =0, i.e. when
# the sign of vx changes
  if(vprev * vx <= 0 ){
    T   = t - Tprev;
    print "T:",t,x,y,T;
    Tprev = t;
  }
  vprev = vx;
# Calculate semimazor/semiminor axis:
  if(xprev * x <= 0 ){
    b = y - bprev;
    print "B:",t,x,y,"     :",b;
    bprev = y;
  }
  xprev = x;
  if(yprev * y <= 0 ){
    a = x - aprev
    print "A:",t,x,y,"     :",a;
    aprev = x;
  }
  yprev = y;

}
